### Signal

# Clutter ZoomAction::zoom

#### Declaration

    gboolean
    zoom (
      ClutterZoomAction* self,
      ClutterActor* actor,
      const graphene_point_t* focal_point,
      gdouble factor,
      gpointer user_data
    )

#### Description [src]

The signal is emitted for each series of touch events that change the distance and focal point between the touch points.

The default handler of the signal will call `clutter_actor_set_scale()` on `actor` using the ratio of the first distance between the touch points and the current distance. To override the default behaviour, connect to this signal and return `FALSE`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`actor`

  Type: `ClutterActor`

  The `ClutterActor` attached to the action.

  The data is owned by the caller of the function.

`focal_point`

  Type: `graphene_point_t`

  The focal point of the zoom.

  The data is owned by the caller of the function.

`factor`

  Type: `gdouble`

  The initial distance between the 2 touch points.

#### Return value

Type: `gboolean`

`TRUE` if the zoom should continue, and `FALSE` if the zoom should be cancelled.